#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            :      
# Projet         :      
#
# Repertoires    :      script -> /usr/local/bin
#
# Cree le        :      12/02/2002
# Version        :      0.1
# Cree par       :      Jean Philippe BOCQUENET
# Objet          :      
# Appel(s)       :      commande en ligne
# Environnements :      HP-UX 9.05 10.20
#                :      Solaris 5.3 5.4 5.5 5.5.1 5.6
#                :      SunOs 4.1.3
#                :      Aix 3.x 4.2 4.3
#                :      Irix 5.3
#                :      Linux 2.2 2.4
# Parametre(s)   :      
# Codes retour   :      = 0 => OK
#                :      = 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================
 
#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================
 
#
# Script de purge du fichier group pour enlever les groupes en lecture inutilises
#

rm group_tmp
rm group_enleves

cat group | while read ligne
	do
	if echo ${ligne} | grep "_r:" > /dev/null 2>&1
	then
		if [ "`echo ${ligne} | awk -F":" '{print $4}'`" == "" ]
		then
			echo "il y a personne, j'enleve ce groupe : ${ligne}"
			echo "`echo ${ligne} | awk -F":" '{print $1}'`" >> group_enleves
		else
			echo ${ligne} >> group_tmp
		fi

	else
		echo ${ligne} >> group_tmp	
	fi
	done

echo "`wc -l group_enleves` groupes ont ete enleves"
exit 0

