#!/usr/bin/ksh
#=============================================================================
# Nom            :      kill_proc_appli.ksh
#=============================================================================

APPLI=$1
USER=`id | awk -F\( '{print $2}' | awk -F\) '{print $1}'`

#=============================================================================
# Nom du script shell
#=============================================================================
PGM=`basename $0`
 
#=============================================================================
# Test la presence des variables a l'entree
#=============================================================================
if [ $# -lt 1 ]
then
     echo "\n\t Utilisation:   ${PGM} nom_de_l_appli_a_killer"
     echo "\n\t Exemple:       ${PGM} comsat\n"
     exit 1;
fi

#=============================================================================
# Main
#=============================================================================
kill -9 `ps -edf | grep ${USER} | grep ${APPLI} | grep -v grep | awk '{ print $2}'`

# eof
#=============================================================================

