#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            :      
# Projet         :      
#
# Repertoires    :      script -> /usr/local/bin
#
# Cree le        :      12/02/2002
# Version        :      0.1
# Cree par       :      Jean Philippe BOCQUENET
# Objet          :
# Appel(s)       :      commande en ligne
# Environnements :      HP-UX 9.05 10.20
#                :      Solaris 5.3 5.4 5.5 5.5.1 5.6
#                :      SunOs 4.1.3
#                :      Aix 3.x 4.2 4.3
#                :      Irix 5.3
#                :      Linux 2.2 2.4
# Parametre(s)   :      
# Codes retour   :      = 0 => OK
#                :      = 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================
 
#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================
 

cat group_enleves | while read group_r
        do
		FIC_ACL=`grep ${group_r} * | awk -F":" '{print $1}' | grep -v group_enleves`

echo "Groupe a enleve : ${group_r}"
echo "Nom de l'ACL = ${FIC_ACL}\n"

		if [ "${FIC_ACL}" != "" ]
		then
			cat ${FIC_ACL} | grep -v ${group_r} > tmp_acl
			mv ${FIC_ACL} ${FIC_ACL}.old
			mv tmp_acl ${FIC_ACL}
		fi
	done

