#!/usr/bin/ksh
#set -x
#
#=============================================================================
# Nom            :      
# Projet         :      
#
# Repertoires    :      script -> /usr/local/bin
#
# Cree le        :      12/02/2002
# Version        :      0.1
# Cree par       :      Jean Philippe BOCQUENET
# Objet          :
# Appel(s)       :      commande en ligne
# Environnements :      HP-UX 9.05 10.20
#                :      Solaris 5.3 5.4 5.5 5.5.1 5.6
#                :      SunOs 4.1.3
#                :      Aix 3.x 4.2 4.3
#                :      Irix 5.3
#                :      Linux 2.2 2.4
# Parametre(s)   :      
# Codes retour   :      = 0 => OK
#                :      = 1 => KO
#=============================================================================
# Modification(s)
#-----------------------------------------------------------------------------
# JJ/MM/AA - QUI
#       QUOI
# 
#=============================================================================
 
#=============================================================================
# Initialisation des variables utilisees dans le script
# 
# Code retour   : 0 => OK
#               : 1 => KO
#=============================================================================
 
 
cat base_connaissance | while read ligne
        do
		USERS=`echo ${ligne} | awk -F":" '{print $1}'` 
		GROUP=`echo ${ligne} | awk -F":" '{print $2}'`


		echo "Utilisateur = ${USERS}"
		echo "Groupe = ${GROUP}"


		grep ${USERS} *.lis | awk -F":" '{print $1}' | grep -v base_connaissance | while read fich_acl
		do
#                	FIC_ACL=`grep ${USERS} *.lis | awk -F":" '{print $1}' | grep -v base_connaissance`


			echo "Fichier ACL = ${fich_acl}"

 
                	if [ "${fich_acl}" != "" ]
                	then
				cat ${fich_acl} | grep -v ${USERS} | grep -v ${GROUP} >> tmp_acl
				echo "group:${GROUP}:rwx" >> tmp_acl
				mv ${fich_acl} ${fich_acl}.old
				mv tmp_acl ${fich_acl}
                	fi

		done
        done


