#!/usr/bin/ksh

DATE=`date +%Y%m%d`
REP_ACL=/sys_admin/projects
MANAGER="c09969 c09321 bonnots c053036"

for ITEM in `ls -1 /usr/var/ase/mnt/ASEdata/export/data | egrep -v '.tags|.ase|quota.user|quota.group'`
do


echo "\n$ITEM"
cat ${REP_ACL}/acl_${ITEM}.lis
	if [ ! -f "${REP_ACL}/migration/acl_${ITEM}.lis" ]
	then
		cp -p ${REP_ACL}/acl_${ITEM}.lis ${REP_ACL}/migration
	fi

	cat ${REP_ACL}/acl_${ITEM}.lis | grep "group" > /tmp/acl_${ITEM}.lis
REP=""
	while read USER?"Manager($MANAGER) : "
	do
		if [ "${USER}" = '' ]
                then
			break
		fi

		echo "user:$USER:rwx" >> /tmp/acl_${ITEM}.lis
	done
mv /tmp/acl_${ITEM}.lis ${REP_ACL}
cat ${REP_ACL}/acl_${ITEM}.lis

done 
